﻿BuffInformant_Locale = {
	['grp_newbuff_name'] = [[Add a new Buff to the list]],
	['grp_newbuff_desc'] = [[]],
	['nb_name_name'] = [[Name of the (De-)Buff]],
	['nb_name_desc'] = [[]],
	['nb_display_name'] = [[Display]],
	['nb_display_desc'] = [[]],
	['nb_display_1'] = [[- Please Select -]],
	['nb_display_2'] = [[Show Start]],
	['nb_display_3'] = [[Show End]],
	['nb_display_4'] = [[Show Both]],
	['nb_display_5'] = [[Show Timer]],
	['nb_restrict_name'] = [[Restrictions]],
	['nb_restrict_desc'] = [[Optional: enter an comma separated list of charactername or ENGLISH classnames.\n\nThis buff will only be displayed when at least one matches.]],
	['nb_unit_name'] = [[Unit]],
	['nb_unit_desc'] = [[]],
	['nb_unit_player'] = [[Player]],
	['nb_unit_target'] = [[Target]],
	['nb_unit_pet'] = [[Pet]],
	['nb_text_name'] = [[Display as]],
	['nb_text_name'] = [[by default each buff it displayed with it\'s name, but you can change it]],
	['nb_showicon_name'] = [[Show Icon]],
	['nb_showicon_desc'] = [[]],
	['nb_add_name'] = [[Add to list]],
	['nb_add_desc'] = [[which makes this settings active]],
	['grp_list_name'] = [[List of all buffs]],
	['grp_list_desc'] = [[]],
	['list_name'] = [[List]],
	['list_desc'] = [[]],
	['grp_display_name'] = [[Display Settings]],
	['grp_display_desc'] = [[]],
	['locked_name'] = [[Show / Move Splash Box]],
	['locked_desc'] = [[]],
	['font_name'] = [[Font]],
	['font_desc'] = [[]],
	['insertmode_name'] = [[Insert Mode]],
	['insertmode_desc'] = [[]],
	['insertmode_TOP'] = [[Top]],
	['insertmode_BOTTOM'] = [[Bottom]],
	['showicon_name'] = [[Icon]],
	['showicon_desc'] = [[]],
	['showicon_D'] = [[Default]],
	['showicon_Y'] = [[Yes]],
	['showicon_N'] = [[No]],
	['holdtime_name'] = [[Hold Time]],
	['holdtime_desc'] = [[how long should a message be displayed (except timer)]],
	['grp_colors_name'] = [[Colors]],
	['grp_colors_desc'] = [[colors on targets do swap between de-/buff]],
	['buffstartcolor_name'] = [[Buff Start Color]],
	['buffendcolor_name'] = [[Buff End Color]],
	['debuffstartcolor_name'] = [[Debuff Start Color]],
	['debuffendcolor_name'] = [[Debuff End Color]],
	['xbuffxxxcolor_desc'] = [[]],
	['broker_tooltip'] = [[Left-Click to un-/lock the message frame.\nRicht-Click for options.]],
}

local function update_locale(lang, loc)
	if lang == GetLocale() then
		for k,v in pairs(loc) do
			BuffInformant_Locale[k] = v
		end -- for
	end -- if
end

update_locale('deDE', {
	['grp_newbuff_name'] = [[Add a new Buff to the list]],
	['grp_newbuff_desc'] = [[]],
	['nb_name_name'] = [[Name of the (De-)Buff]],
	['nb_name_desc'] = [[]],
	['nb_display_name'] = [[Display]],
	['nb_display_desc'] = [[]],
	['nb_display_1'] = [[- Please Select -]],
	['nb_display_2'] = [[Show Start]],
	['nb_display_3'] = [[Show End]],
	['nb_display_4'] = [[Show Both]],
	['nb_display_5'] = [[Show Timer]],
	['nb_restrict_name'] = [[Restrictions]],
	['nb_restrict_desc'] = [[Optional: enter an comma separated list of charactername or ENGLISH classnames.\n\nThis buff will only be displayed when at least one matches.]],
	['nb_unit_name'] = [[Unit]],
	['nb_unit_desc'] = [[]],
	['nb_unit_player'] = [[Spieler]],
	['nb_unit_target'] = [[Ziel]],
	['nb_unit_pet'] = [[Begleiter]],
	['nb_text_name'] = [[Display as]],
	['nb_text_desc'] = [[by default each buff it displayed with it\'s name, but you can change it]],
	['nb_showicon_name'] = [[Show Icon]],
	['nb_showicon_desc'] = [[]],
	['nb_add_name'] = [[Add to list]],
	['nb_add_desc'] = [[which makes this settings active]],
	['grp_list_name'] = [[List of all buffs]],
	['grp_list_desc'] = [[]],
	['list_name'] = [[List]],
	['list_desc'] = [[]],
	['grp_display_name'] = [[Display Settings]],
	['grp_display_desc'] = [[]],
	['locked_name'] = [[Show / Move Splash Box]],
	['locked_desc'] = [[]],
	['font_name'] = [[Font]],
	['font_desc'] = [[]],
	['insertmode_name'] = [[Insert Mode]],
	['insertmode_desc'] = [[]],
	['insertmode_TOP'] = [[Oben]],
	['insertmode_BOTTOM'] = [[Unten]],
	['showicon_name'] = [[Icon]],
	['showicon_desc'] = [[]],
	['showicon_D'] = [[Default]],
	['showicon_Y'] = [[Yes]],
	['showicon_N'] = [[No]],
	['holdtime_name'] = [[Hold Time]],
	['holdtime_desc'] = [[how long should a message be displayed (except timer)]],
	['grp_colors_name'] = [[Colors]],
	['grp_colors_desc'] = [[colors on targets do swap between de-/buff]],
	['buffstartcolor_name'] = [[Buff Start Color]],
	['buffendcolor_name'] = [[Buff End Color]],
	['debuffstartcolor_name'] = [[Debuff Start Color]],
	['debuffendcolor_name'] = [[Debuff End Color]],
	['xbuffxxxcolor_desc'] = [[]],
	['broker_tooltip'] = [[Left-Click to un-/lock the message frame.\nRicht-Click for options.]],
})
